Spigot CC ArmorStands 3.0_1.8.3

allows players to lock, protect and pose Armorstands

  1. GrandpaMizery submitted a new resource:

    CC ArmorStsnds - allows players to lock, protect and pose Armorstands

    Read more about this resource...
     
  2. what is when i do /butcher ??
     
  3. Great and very full Plugin :D :d :D
     
  4. it appears as if the armorstands are not protected from chat commands. I will look into this.
     
  5. GrandpaMizery updated CC ArmorStsnds with a new update entry:

    bug fix

    Read the rest of this update entry...
     
  6. GrandpaMizery updated CC ArmorStsnds with a new update entry:

    enhancements

    Read the rest of this update entry...
     
  7. If you have this version of WorldEdit. http://builds.enginehub.org/ . Armor stands will not get deleted using the /butcher command.
     
  8. Could you add permissions on who is allowed to change the pose of the armor stand? Such as the size, gives it a name etc
     
  9. I could work on that when I get home next week.
     
    • Agree Agree x 1
  10. a good idea, but all these commands are to much for a normal player..so player stay with lock and unlock auntil they get an understanable gui :3
     
  11. not working in spigot 1.8.3.
     
  12. That is to be expected. I will work on it very soon.
     
  13. Sorry for my bad english.

    Hi, i very like this plugin.
    but i have a hight probleme.

    my server is now in 1.8.6, and this plugin not work :( .
    I use the version plugin version 3.0_1.8.3

    do you make a update ?

    thank you very much.


    In my console Error :
    [Server thread/ERROR]: Could not pass event PlayerInteractAtEntityEvent to CC-ArmorStands v3.1
    org.bukkit.event.EventException
    at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:310) ~[spigot.jar:git-Spigot-c5146ba-01930e2]
    at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:62) ~[spigot.jar:git-Spigot-c5146ba-01930e2]
    at org.bukkit.plugin.SimplePluginManager.fireEvent(SimplePluginManager.java:502) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:487) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:1288) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.PacketPlayInUseEntity.a(SourceFile:52) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.PacketPlayInUseEntity.a(SourceFile:11) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [?:1.7.0_79]
    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [?:1.7.0_79]
    at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:60) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:718) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:367) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:657) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:560) [spigot.jar:git-Spigot-c5146ba-01930e2]
    at java.lang.Thread.run(Thread.java:745) [?:1.7.0_79]
    Caused by: java.lang.NoClassDefFoundError: org/bukkit/craftbukkit/v1_8_R2/entity/CraftEntity
    at me.grandpamizery.ArmorStandListenerClass.onStandInteract(ArmorStandListenerClass.java:73) ~[?:?]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_79]
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) ~[?:1.7.0_79]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.7.0_79]
    at java.lang.reflect.Method.invoke(Method.java:606) ~[?:1.7.0_79]
    at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:306) ~[spigot.jar:git-Spigot-c5146ba-01930e2]
    ... 15 more
     
  14. I'm receiving the same error, running 1.8.9